package bin;

import lib.cli.TermHandle;
import lib.cli.CLIApp;

using tink.CoreApi;

class HelloWorld extends CLIApp {

	public function new() {}

	public function invoke(handle: TermHandle):Future<Bool> {
		var world:String = "world";
		if (handle.args.length > 0) {
			world = handle.args[0];
		}

		handle.write('Hello, $world!');
		return Future.sync(true);
	}
}
